<template>
    <lightning-card 
    variant="Narrow"
    >
    <div class="slds-text-heading_small slds-card_boundary" style="margin-bottom: -2px;">
        <lightning-icon icon-name="custom:custom94" style="float: left;margin-right: 10px;"></lightning-icon>
        <h1 slot="title" style="font-weight:800;margin-top:5px">
<!--            <a style="color:black !important; font-weight:400 !important;" href="/related/HealthCloudGA__RelatedPeople__r/view">Guarantors</a>-->
            Guarantors
        </h1> 

        <div slot="actions" style="float:right;margin-top: -25px;font-size: 13px;">
        </div>
    </div>
    <template if:false={createNewGuar} class="slds box">
        <div style="width: auto;border:1px solid lightgray;border-top:0px !important;">
                <template if:true={data}>
                    <lightning-datatable 
                        data={data} 
                        columns={columns} 
                        key-field="id"
                        hide-checkbox-column="true"
                        onrowaction={handleRowActions}></lightning-datatable>
                </template>
        </div>
        <!-- Spinner -->
        <div if:true={showLoadingSpinner}>
            <lightning-spinner alternative-text="Loading" size="large"></lightning-spinner>
        </div>
            <!-- Detail view modal -->
            <template if:true={bShowModal}>
                <section role="dialog" tabindex="-1"
                        aria-labelledby="modal-heading-01"
                        aria-modal="true"
                        aria-describedby="modal-content-id-1"
                        class="slds-modal slds-fade-in-open">
                <div class="slds-modal__container">
                    <!-- modal header -->
                    <header class="slds-modal__header">
                        <button class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse" title="Close" onclick={closeModal}>
                            <lightning-icon icon-name="utility:close" alternative-text="close" variant="inverse" size="small" ></lightning-icon>
                        </button>
                        <h2 id="modal-heading-01" class="slds-text-heading_medium slds-hyphenate" if:true={isViewForm}>View Record</h2>
                        <h2 id="modal-heading-02" class="slds-text-heading_medium slds-hyphenate" if:true={isEditForm}>Update Record</h2>
                    </header>
                    <!-- modal body -->
                    <div class="slds-modal__content slds-p-around_medium" id="modal-content-id-1">

                        <!-- view record -->
                        <div if:true={isViewForm} class="slds-theme_default">
                            <div class="slds-m-around_medium">
                                <lightning-input label="Name" type="text" disabled value={record.HealthCloudGA__NameFull__c} class="plan-name slds-m-bottom_x-small"></lightning-input>
                                <lightning-input label="Guarantor Type" type="text" disabled value={record.Guarantor_Type__c} class="group-number slds-m-bottom_x-small"></lightning-input>
                                <lightning-input label="Phone" type="phone" disabled value={record.Guarantor_Phone__c} class="effective-from slds-m-bottom_x-small"></lightning-input>
                                <lightning-input label="Address" type="text" disabled value={record.HealthCloudGA__Address1Line1__c} class="effective-to slds-m-bottom_x-small"></lightning-input>
                                <lightning-input label="Address 2" type="text" disabled value={record.HealthCloudGA__Address1Line2__c} class="group-number slds-m-bottom_x-small"></lightning-input>
                                <lightning-input label="City" type="text" disabled value={record.HealthCloudGA__Address1City__c} class="effective-from slds-m-bottom_x-small"></lightning-input>
                                <lightning-input label="State" type="text" disabled value={record.HealthCloudGA__Address1State__c} class="effective-to slds-m-bottom_x-small"></lightning-input>
                                <lightning-input label="Country" type="text" disabled value={record.HealthCloudGA__Address1Country__c} class="effective-to slds-m-bottom_x-small"></lightning-input>
                                <lightning-input label="Relationship" type="text" disabled value={record.HealthCloudGA__Relationship__c} class="relationship slds-m-bottom_x-small"></lightning-input>
                                <lightning-input label="Id"  data-id="id-view" disabled value={currentRecordId} class="slds-m-bottom_x-small"></lightning-input>
                            </div>
                        </div>
                        
                        <!-- edit record -->
                        <div if:true={isEditForm} class="slds-theme_default">
                            <div class="slds-m-around_medium">
                            <lightning-record-edit-form 
                                layout-type="Full" 
                                record-id={currentRecordId} 
                                object-api-name={guarantorObject}
                                onsubmit={handleSubmit} 
                                onsuccess={handleSuccess}>
                                
                                <lightning-messages></lightning-messages>

                                <lightning-input-field field-name="HealthCloudGA__NameFull__c" required="true">
                                </lightning-input-field>
                                <lightning-input-field field-name="Guarantor_Type__c" required="true">
                                </lightning-input-field>
                                <lightning-input-field field-name="Guarantor_Phone__c" required="true">
                                </lightning-input-field>
                                <lightning-input-field field-name="HealthCloudGA__Address1Line1__c" required="true">
                                </lightning-input-field>
                                <lightning-input-field field-name="HealthCloudGA__Address1Line2__c">
                                </lightning-input-field>
                                <lightning-input-field field-name="HealthCloudGA__Address1City__c" required="true">
                                </lightning-input-field>
                                <lightning-input-field field-name="HealthCloudGA__Address1State__c" required="true">
                                </lightning-input-field>
                                <lightning-input-field field-name="HealthCloudGA__Address1Country__c" required="true">
                                </lightning-input-field>
                                <lightning-input-field field-name="HealthCloudGA__Relationship__c">
                                </lightning-input-field>                                   
                                <div style="text-align:center;">
                                <lightning-button 
                                    class="slds-m-top_small"
                                    variant="brand"
                                    type="submit"
                                    name="update"
                                    label="Update Record">
                                </lightning-button>
                                </div>
                            </lightning-record-edit-form>
                            </div>
                        </div>

                    </div>

                    <!-- modal footer start-->
                    <footer class="slds-modal__footer">
                        <lightning-button 
                            variant="brand-outline"
                            label="Close"
                            title="Close"
                            icon-name="utility:close"
                            class="slds-float_right"
                            onclick={closeModal}>
                        </lightning-button>
                    </footer>
                </div>
                </section>
                <div class="slds-backdrop slds-backdrop_open"></div>
            </template>
        </template>
    </lightning-card>   
</template>